import "Turbine.UI";
import "Turbine.UI.Lotro";
import "Turbine.Gameplay";
import "Turbine.Gameplay.Attributes";

import "Equendil.Utils";
import "Equendil.LuaExplorer.Browser";

-- create the application

hereBeDragons = Equendil.LuaExplorer.Browser( "Here Be Dragons" );
hereBeDragons:Add( "_G", _G, true, false );
hereBeDragons:SetVisible( true );
hereBeDragons:Activate();
 
-- add a command 
command = Turbine.ShellCommand();

function command:Execute( command, arguments )
	if arguments == "show" then -- brings up the window
		hereBeDragons:SetVisible( true );
		hereBeDragons:Activate();
	elseif arguments == "hide" then -- hide the window
		hereBeDragons:SetVisible( false );
	elseif arguments == "toggle" or arguments == "" then -- toggle the window, default
		if hereBeDragons:IsVisible() then
			hereBeDragons:SetVisible( false );
		else
			hereBeDragons:SetVisible( true );
			hereBeDragons:Activate();
		end
	end
end

function command:GetHelp()
	return "hbd (Here Be Dragons), usage: \n/hbd show : displays the browser\n/hbd hide : hides the browser\n/hbd or /hbd toggle : toggles the browser's visibility";
end

function command:GetShortHelp()
	return "hbd [show|hide|toggle] shows or hide the window of 'Here Be Dragons'";
end

Turbine.Shell.AddCommand( "hbd", command );
